Catalogs
Get a catalog
GET
Scope: library:read
apiKeyheader
AuthorizationBearer <ik_live_…>An organisation API key from Settings → Organisation → API keys. Each operation names the one scope it needs — see https://developer.ingenee.ai/docs/authentication.
id*stringOK
application/json- response
[key: string]?anyExample Request
curl -X GET 'https://dev.app.ingenee.ai/api/v1/catalogs/string'Example Response
{ "catalog": { "id": "4b54da62-440b-4d7b-a444-adc67ee83db0", "name": "pasted-list", "source": "csv", "sourceType": "csv", "status": "ready", "rowCount": 1, "createdAt": "2026-10-30T08:58:34.333Z" }, "byStatus": {}, "byType": {}, "feedSource": null, "assets": []}